GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.IntercompanyService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
Address | getAddress ()
void | setAddress (Address value)
long | getNumberOfLabels ()
void | setNumberOfLabels (long value)
BigDecimal | getExpectedWeight ()
void | setExpectedWeight (BigDecimal value)

## Protected Attributes
String | serviceName
Address | address
long | numberOfLabels
BigDecimal | expectedWeight

## Detailed Description

Intercompany service attributes

Java class for IntercompanyService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="IntercompanyService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Address" type="{http://fpcs.gls-group.eu/v1/Common}Address"/>
            <element name="NumberOfLabels" type="{http://fpcs.gls-group.eu/v1/Common}NumberOfLabels"/>
            <element name="ExpectedWeight" type="{http://fpcs.gls-group.eu/v1/Common}Weight" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 47 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## Member Function Documentation

## ◆ getAddress()

Address eu.gls_group.fpcs.v1.common.IntercompanyService.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is Address

Definition at line 93 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ getExpectedWeight()

BigDecimal eu.gls_group.fpcs.v1.common.IntercompanyService.getExpectedWeight | ( |  | ) |

Gets the value of the expectedWeight property.

Returns
  possible object is String

Definition at line 133 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ getNumberOfLabels()

long eu.gls_group.fpcs.v1.common.IntercompanyService.getNumberOfLabels | ( |  | ) |

Gets the value of the numberOfLabels property.

Definition at line 113 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.IntercompanyService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 69 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ setAddress()

void eu.gls_group.fpcs.v1.common.IntercompanyService.setAddress | ( | Address | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is Address

Definition at line 105 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ setExpectedWeight()

void eu.gls_group.fpcs.v1.common.IntercompanyService.setExpectedWeight | ( | BigDecimal | value | ) |

Sets the value of the expectedWeight property.

Parameters

  value | allowed object is String

Definition at line 145 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ setNumberOfLabels()

void eu.gls_group.fpcs.v1.common.IntercompanyService.setNumberOfLabels | ( | long | value | ) |

Sets the value of the numberOfLabels property.

Definition at line 121 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.IntercompanyService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 81 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## Member Data Documentation

## ◆ address

Address eu.gls_group.fpcs.v1.common.IntercompanyService.address
| protected

Definition at line 52 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ expectedWeight

BigDecimal eu.gls_group.fpcs.v1.common.IntercompanyService.expectedWeight
| protected

Definition at line 59 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ numberOfLabels

long eu.gls_group.fpcs.v1.common.IntercompanyService.numberOfLabels
| protected

Definition at line 55 of file gls_group/fpcs/v1/common/IntercompanyService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.IntercompanyService.serviceName
| protected

Definition at line 50 of file gls_group/fpcs/v1/common/IntercompanyService.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/common/IntercompanyService.java